Loading...
Searching...
No Matches
Ogre::CreateMaterialScriptCompilerEvent Class Reference
Core » Script

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateMaterialScriptCompilerEvent:
[legend]

## Public Member Functions

| CreateMaterialScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup)
Public Member Functions inherited from Ogre::ScriptCompilerEvent
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes

String | mFile
String | mName
String | mResourceGroup
Public Attributes inherited from Ogre::ScriptCompilerEvent
String | mType

## Static Public Attributes

static String | eventType

## Constructor & Destructor Documentation

## CreateMaterialScriptCompilerEvent()

Ogre::CreateMaterialScriptCompilerEvent::CreateMaterialScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup )

inline

References Ogre::ScriptCompilerEvent::ScriptCompilerEvent(), eventType, mFile, mName, and mResourceGroup.

## Member Data Documentation

## mFile

String Ogre::CreateMaterialScriptCompilerEvent::mFile

Referenced by CreateMaterialScriptCompilerEvent().

## mName

String Ogre::CreateMaterialScriptCompilerEvent::mName

Referenced by CreateMaterialScriptCompilerEvent().

## mResourceGroup

String Ogre::CreateMaterialScriptCompilerEvent::mResourceGroup

Referenced by CreateMaterialScriptCompilerEvent().

## eventType

String Ogre::CreateMaterialScriptCompilerEvent::eventType

static

Referenced by CreateMaterialScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h